<?php
/**
 * The Classic template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage TOP DOG
 * @since TOP DOG 1.0
 */

$top_dog_template_args = get_query_var( 'top_dog_template_args' );
if ( is_array( $top_dog_template_args ) ) {
	$top_dog_columns    = empty( $top_dog_template_args['columns'] ) ? 1 : max( 1, min( 3, $top_dog_template_args['columns'] ) );
	$top_dog_blog_style = array( $top_dog_template_args['type'], $top_dog_columns );
} else {
	$top_dog_blog_style = explode( '_', top_dog_get_theme_option( 'blog_style' ) );
	$top_dog_columns    = empty( $top_dog_blog_style[1] ) ? 1 : max( 1, min( 3, $top_dog_blog_style[1] ) );
}
$top_dog_expanded    = ! top_dog_sidebar_present() && top_dog_is_on( top_dog_get_theme_option( 'expand_content' ) );
$top_dog_post_format = get_post_format();
$top_dog_post_format = empty( $top_dog_post_format ) ? 'standard' : str_replace( 'post-format-', '', $top_dog_post_format );


$top_dog_components = top_dog_array_get_keys_by_value( top_dog_get_theme_option( 'meta_parts' ) );
$date_val = 'categories';
$pos = strpos($top_dog_components, $date_val);

if( !empty( $top_dog_template_args['hide_excerpt'] ) ) {
    $vowels = array(
        ",comments", "comments,", "comments",
        ",likes", "likes,", "likes",
        ",views", "views,", "views",
        ",share", "share,", "share",
        ",edit", "edit,", "edit",
    );
    $top_dog_components = str_replace($vowels, "", $top_dog_components);
}



?><article id="post-<?php the_ID(); ?>"	data-post-id="<?php the_ID(); ?>"
	<?php
	post_class(
		'post_item'
		. ' post_layout_chess'
		. ' post_layout_chess_' . esc_attr( $top_dog_columns )
		. ' post_format_' . esc_attr( $top_dog_post_format )
		. ( ! empty( $top_dog_template_args['slider'] ) ? ' slider-slide swiper-slide' : '' )
	);
	top_dog_add_blog_animation( $top_dog_template_args );
	?>
>

	<?php
	// Add anchor
	if ( 1 == $top_dog_columns && ! is_array( $top_dog_template_args ) && shortcode_exists( 'trx_sc_anchor' ) ) {
		echo do_shortcode( '[trx_sc_anchor id="post_' . esc_attr( get_the_ID() ) . '" title="' . the_title_attribute( array( 'echo' => false ) ) . '" icon="' . esc_attr( top_dog_get_post_icon() ) . '"]' );
	}

	// Sticky label
	if ( is_sticky() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}

	// Featured image
	$top_dog_hover = ! empty( $top_dog_template_args['hover'] ) && ! top_dog_is_inherit( $top_dog_template_args['hover'] )
						? $top_dog_template_args['hover']
						: top_dog_get_theme_option( 'image_hover' );
	top_dog_show_post_featured(
		array(
			'class'         => 1 == $top_dog_columns && ! is_array( $top_dog_template_args ) ? 'top-dog-full-height' : '',
			'hover'         => $top_dog_hover,
			'no_links'      => ! empty( $top_dog_template_args['no_links'] ),
			'show_no_image' => true,
			'thumb_ratio'   => '1:1',
			'thumb_bg'      => true,
			'popup'         => true,
			'thumb_size'    => top_dog_get_thumb_size(
				strpos( top_dog_get_theme_option( 'body_style' ), 'full' ) !== false
										? ( 1 < $top_dog_columns ? 'huge' : 'original' )
										: ( 2 < $top_dog_columns ? 'big' : 'huge' )
			),
		)
	);

	?>
	<div class="post_inner"><div class="post_inner_content"><div class="post_header entry-header">
		<?php

            if ( $pos !== false ) {
                top_dog_show_post_meta(
                    apply_filters(
                        'top_dog_filter_post_meta_args', array(
                        'components' => 'categories',
                        'seo'        => false,
                        'class' => 'cat_top'
                    ), 'excerpt', 1
                    )
                );
            }
            $vowels = array(",categories", "categories,", "categories");
            $top_dog_components = str_replace($vowels, "", $top_dog_components);

			do_action( 'top_dog_action_before_post_title' );

			// Post title
			if ( empty( $top_dog_template_args['no_links'] ) ) {
				the_title( sprintf( '<h3 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h3>' );
			} else {
				the_title( '<h3 class="post_title entry-title">', '</h3>' );
			}

			do_action( 'top_dog_action_before_post_meta' );

			// Post meta
			$top_dog_post_meta  = empty( $top_dog_components ) || in_array( $top_dog_hover, array( 'border', 'pull', 'slide', 'fade' ) )
										? ''
										: top_dog_show_post_meta(
											apply_filters(
												'top_dog_filter_post_meta_args', array(
													'components' => $top_dog_components,
													'seo'  => false,
													'echo' => false,
												), $top_dog_blog_style[0], $top_dog_columns
											)
										);
			top_dog_show_layout( $top_dog_post_meta );
			?>
		</div><!-- .entry-header -->
    <?php if( empty( $top_dog_template_args['hide_excerpt'] ) && ! in_array( $top_dog_post_format, array( 'link', 'aside', 'status', 'quote' ) ) ){ ?>
		<div class="post_content entry-content">
			<?php
			// Post content area
			if ( empty( $top_dog_template_args['hide_excerpt'] ) && top_dog_get_theme_option( 'excerpt_length' ) > 0 ) {
				top_dog_show_post_content( $top_dog_template_args, '<div class="post_content_inner">', '</div>' );
			}
			// Post meta
			if ( in_array( $top_dog_post_format, array( 'link', 'aside', 'status', 'quote' ) ) ) {
				top_dog_show_layout( $top_dog_post_meta );
			}
			// More button
			if ( empty( $top_dog_template_args['no_links'] ) && ! in_array( $top_dog_post_format, array( 'link', 'aside', 'status', 'quote' ) ) ) {
				top_dog_show_post_more_link( $top_dog_template_args, '<p>', '</p>' );
			}
			?>
		</div><!-- .entry-content -->
    <?php } ?>
	</div></div><!-- .post_inner -->

</article><?php
// Need opening PHP-tag above, because <article> is a inline-block element (used as column)!
