<?php
/**
 * The custom template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage TOP DOG
 * @since TOP DOG 1.0.50
 */

$top_dog_template_args = get_query_var( 'top_dog_template_args' );
if ( is_array( $top_dog_template_args ) ) {
	$top_dog_columns    = empty( $top_dog_template_args['columns'] ) ? 2 : max( 1, $top_dog_template_args['columns'] );
	$top_dog_blog_style = array( $top_dog_template_args['type'], $top_dog_columns );
} else {
	$top_dog_blog_style = explode( '_', top_dog_get_theme_option( 'blog_style' ) );
	$top_dog_columns    = empty( $top_dog_blog_style[1] ) ? 2 : max( 1, $top_dog_blog_style[1] );
}
$top_dog_blog_id       = top_dog_get_custom_blog_id( join( '_', $top_dog_blog_style ) );
$top_dog_blog_style[0] = str_replace( 'blog-custom-', '', $top_dog_blog_style[0] );
$top_dog_expanded      = ! top_dog_sidebar_present() && top_dog_is_on( top_dog_get_theme_option( 'expand_content' ) );
$top_dog_components    = top_dog_array_get_keys_by_value( top_dog_get_theme_option( 'meta_parts' ) );

$top_dog_post_format   = get_post_format();
$top_dog_post_format   = empty( $top_dog_post_format ) ? 'standard' : str_replace( 'post-format-', '', $top_dog_post_format );

$top_dog_blog_meta     = top_dog_get_custom_layout_meta( $top_dog_blog_id );
$top_dog_custom_style  = ! empty( $top_dog_blog_meta['scripts_required'] ) ? $top_dog_blog_meta['scripts_required'] : 'none';

if ( ! empty( $top_dog_template_args['slider'] ) || $top_dog_columns > 1 || ! top_dog_is_off( $top_dog_custom_style ) ) {
	?><div class="
		<?php
		if ( ! empty( $top_dog_template_args['slider'] ) ) {
			echo 'slider-slide swiper-slide';
		} else {
			echo esc_attr( ( top_dog_is_off( $top_dog_custom_style ) ? 'column' : sprintf( '%1$s_item %1$s_item', $top_dog_custom_style ) ) . "-1_{$top_dog_columns}" );
		}
		?>
	">
	<?php
}
?>
<article id="post-<?php the_ID(); ?>" data-post-id="<?php the_ID(); ?>"
	<?php
	post_class(
			'post_item post_format_' . esc_attr( $top_dog_post_format )
					. ' post_layout_custom post_layout_custom_' . esc_attr( $top_dog_columns )
					. ' post_layout_' . esc_attr( $top_dog_blog_style[0] )
					. ' post_layout_' . esc_attr( $top_dog_blog_style[0] ) . '_' . esc_attr( $top_dog_columns )
					. ( ! top_dog_is_off( $top_dog_custom_style )
						? ' post_layout_' . esc_attr( $top_dog_custom_style )
							. ' post_layout_' . esc_attr( $top_dog_custom_style ) . '_' . esc_attr( $top_dog_columns )
						: ''
						)
		);
	top_dog_add_blog_animation( $top_dog_template_args );
	?>
>
	<?php
	// Sticky label
	if ( is_sticky() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}
	// Custom layout
	do_action( 'top_dog_action_show_layout', $top_dog_blog_id, get_the_ID() );
	?>
</article><?php
if ( ! empty( $top_dog_template_args['slider'] ) || $top_dog_columns > 1 || ! top_dog_is_off( $top_dog_custom_style ) ) {
	?></div><?php
	// Need opening PHP-tag above just after </div>, because <div> is a inline-block element (used as column)!
}
