<?php
/**
 * The Portfolio template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage TOP DOG
 * @since TOP DOG 1.0
 */

$top_dog_template_args = get_query_var( 'top_dog_template_args' );
if ( is_array( $top_dog_template_args ) ) {
	$top_dog_columns    = empty( $top_dog_template_args['columns'] ) ? 2 : max( 1, $top_dog_template_args['columns'] );
	$top_dog_blog_style = array( $top_dog_template_args['type'], $top_dog_columns );
} else {
	$top_dog_blog_style = explode( '_', top_dog_get_theme_option( 'blog_style' ) );
	$top_dog_columns    = empty( $top_dog_blog_style[1] ) ? 2 : max( 1, $top_dog_blog_style[1] );
}
$top_dog_post_format = get_post_format();
$top_dog_post_format = empty( $top_dog_post_format ) ? 'standard' : str_replace( 'post-format-', '', $top_dog_post_format );

?><div class="
<?php
if ( ! empty( $top_dog_template_args['slider'] ) ) {
	echo ' slider-slide swiper-slide';
} else {
	echo 'masonry_item masonry_item-1_' . esc_attr( $top_dog_columns );
}
?>
"><article id="post-<?php the_ID(); ?>" 
	<?php
	post_class(
		'post_item post_format_' . esc_attr( $top_dog_post_format )
		. ' post_layout_portfolio'
		. ' post_layout_portfolio_' . esc_attr( $top_dog_columns )
		. ( is_sticky() && ! is_paged() ? ' sticky' : '' )
	);
	top_dog_add_blog_animation( $top_dog_template_args );
	?>
>
<?php

// Sticky label
if ( is_sticky() && ! is_paged() ) {
	?>
		<span class="post_label label_sticky"></span>
		<?php
}

	$top_dog_image_hover = ! empty( $top_dog_template_args['hover'] ) && ! top_dog_is_inherit( $top_dog_template_args['hover'] )
								? $top_dog_template_args['hover']
								: top_dog_get_theme_option( 'image_hover' );
	// Featured image
	top_dog_show_post_featured(
		array(
			'hover'         => $top_dog_image_hover,
			'no_links'      => ! empty( $top_dog_template_args['no_links'] ),
			'thumb_size'    => top_dog_get_thumb_size(
				strpos( top_dog_get_theme_option( 'body_style' ), 'full' ) !== false || $top_dog_columns < 3
								? 'masonry-big'
				: 'masonry'
			),
			'show_no_image' => true,
			'class'         => 'dots' == $top_dog_image_hover ? 'hover_with_info' : '',
			'post_info'     => 'dots' == $top_dog_image_hover ? '<div class="post_info">' . esc_html( get_the_title() ) . '</div>' : '',
		)
	);
	?>
</article></div><?php
// Need opening PHP-tag above, because <article> is a inline-block element (used as column)!