<?php
/**
 * The template to display the attachment
 *
 * @package WordPress
 * @subpackage TOP DOG
 * @since TOP DOG 1.0
 */


get_header();

while ( have_posts() ) {
	the_post();

	get_template_part( apply_filters( 'top_dog_filter_get_template_part', 'content', get_post_format() ), get_post_format() );

	// Parent post navigation.
	$top_dog_posts_navigation = top_dog_get_theme_option( 'posts_navigation' );
	if ( 'links' == $top_dog_posts_navigation ) {
		?>
		<div class="nav-links-single<?php
			if ( ! top_dog_is_off( top_dog_get_theme_option( 'posts_navigation_fixed' ) ) ) {
				echo ' nav-links-fixed fixed';
			}
		?>">
		<?php
		the_post_navigation(
			array(
				'prev_text' => '<span class="nav-arrow"></span>'
					. '<span class="meta-nav" aria-hidden="true">' . esc_html__( 'Published in', 'top-dog' ) . '</span> '
					. '<span class="screen-reader-text">' . esc_html__( 'Previous post', 'top-dog' ) . '</span> '
					. '<h5 class="post-title">%title</h5>',
			)
		);
		?>
	</div>
	<?php
	}

	// If comments are open or we have at least one comment, load up the comment template.
	if ( comments_open() || get_comments_number() ) {
		comments_template();
	}
}

get_footer();
