<?php
/**
 * The template for homepage posts with "Classic" style
 *
 * @package WordPress
 * @subpackage TOP DOG
 * @since TOP DOG 1.0
 */

top_dog_storage_set( 'blog_archive', true );

get_header();

if ( have_posts() ) {

	top_dog_blog_archive_start();

	$top_dog_classes    = 'posts_container '
						. ( substr( top_dog_get_theme_option( 'blog_style' ), 0, 7 ) == 'classic'
							? 'columns_wrap columns_padding_bottom'
							: 'masonry_wrap'
							);
	$top_dog_stickies   = is_home() ? get_option( 'sticky_posts' ) : false;
	$top_dog_sticky_out = top_dog_get_theme_option( 'sticky_style' ) == 'columns'
							&& is_array( $top_dog_stickies ) && count( $top_dog_stickies ) > 0 && get_query_var( 'paged' ) < 1;
	if ( $top_dog_sticky_out ) {
		?>
		<div class="sticky_wrap columns_wrap">
		<?php
	}
	if ( ! $top_dog_sticky_out ) {
		if ( top_dog_get_theme_option( 'first_post_large' ) && ! is_paged() && ! in_array( top_dog_get_theme_option( 'body_style' ), array( 'fullwide', 'fullscreen' ) ) ) {
			the_post();
			get_template_part( apply_filters( 'top_dog_filter_get_template_part', 'content', 'excerpt' ), 'excerpt' );
		}

		?>
		<div class="<?php echo esc_attr( $top_dog_classes ); ?>">
		<?php
	}
	while ( have_posts() ) {
		the_post();
		if ( $top_dog_sticky_out && ! is_sticky() ) {
			$top_dog_sticky_out = false;
			?>
			</div><div class="<?php echo esc_attr( $top_dog_classes ); ?>">
			<?php
		}
		$top_dog_part = $top_dog_sticky_out && is_sticky() ? 'sticky' : 'classic';
		get_template_part( apply_filters( 'top_dog_filter_get_template_part', 'content', $top_dog_part ), $top_dog_part );
	}

	?>
	</div>
	<?php

	top_dog_show_pagination();

	top_dog_blog_archive_end();

} else {

	if ( is_search() ) {
		get_template_part( apply_filters( 'top_dog_filter_get_template_part', 'content', 'none-search' ), 'none-search' );
	} else {
		get_template_part( apply_filters( 'top_dog_filter_get_template_part', 'content', 'none-archive' ), 'none-archive' );
	}
}

get_footer();
