<?php
/**
 * The template for homepage posts with custom style
 *
 * @package WordPress
 * @subpackage TOP DOG
 * @since TOP DOG 1.0.50
 */

top_dog_storage_set( 'blog_archive', true );

get_header();

if ( have_posts() ) {

	$top_dog_blog_style = top_dog_get_theme_option( 'blog_style' );
	$top_dog_parts      = explode( '_', $top_dog_blog_style );
	$top_dog_columns    = ! empty( $top_dog_parts[1] ) ? max( 1, min( 6, (int) $top_dog_parts[1] ) ) : 1;
	$top_dog_blog_id    = top_dog_get_custom_blog_id( $top_dog_blog_style );
	$top_dog_blog_meta  = top_dog_get_custom_layout_meta( $top_dog_blog_id );
	if ( ! empty( $top_dog_blog_meta['margin'] ) ) {
		top_dog_add_inline_css( sprintf( '.page_content_wrap{padding-top:%s}', esc_attr( top_dog_prepare_css_value( $top_dog_blog_meta['margin'] ) ) ) );
	}
	$top_dog_custom_style = ! empty( $top_dog_blog_meta['scripts_required'] ) ? $top_dog_blog_meta['scripts_required'] : 'none';

	top_dog_blog_archive_start();

	$top_dog_classes    = 'posts_container blog_custom_wrap' 
							. ( ! top_dog_is_off( $top_dog_custom_style )
								? sprintf( ' %s_wrap', $top_dog_custom_style )
								: ( $top_dog_columns > 1 
									? ' columns_wrap columns_padding_bottom' 
									: ''
									)
								);
	$top_dog_stickies   = is_home() ? get_option( 'sticky_posts' ) : false;
	$top_dog_sticky_out = top_dog_get_theme_option( 'sticky_style' ) == 'columns'
							&& is_array( $top_dog_stickies ) && count( $top_dog_stickies ) > 0 && get_query_var( 'paged' ) < 1;
	if ( $top_dog_sticky_out ) {
		?>
		<div class="sticky_wrap columns_wrap">
		<?php
	}
	if ( ! $top_dog_sticky_out ) {
		if ( top_dog_get_theme_option( 'first_post_large' ) && ! is_paged() && ! in_array( top_dog_get_theme_option( 'body_style' ), array( 'fullwide', 'fullscreen' ) ) ) {
			the_post();
			get_template_part( apply_filters( 'top_dog_filter_get_template_part', 'content', 'excerpt' ), 'excerpt' );
		}
		?>
		<div class="<?php echo esc_attr( $top_dog_classes ); ?>">
		<?php
	}
	while ( have_posts() ) {
		the_post();
		if ( $top_dog_sticky_out && ! is_sticky() ) {
			$top_dog_sticky_out = false;
			?>
			</div><div class="<?php echo esc_attr( $top_dog_classes ); ?>">
			<?php
		}
		$top_dog_part = $top_dog_sticky_out && is_sticky() ? 'sticky' : 'custom';
		get_template_part( apply_filters( 'top_dog_filter_get_template_part', 'content', $top_dog_part ), $top_dog_part );
	}
	?>
	</div>
	<?php

	top_dog_show_pagination();

	top_dog_blog_archive_end();

} else {

	if ( is_search() ) {
		get_template_part( apply_filters( 'top_dog_filter_get_template_part', 'content', 'none-search' ), 'none-search' );
	} else {
		get_template_part( apply_filters( 'top_dog_filter_get_template_part', 'content', 'none-archive' ), 'none-archive' );
	}
}

get_footer();
