/* global jQuery:false */
/* global TOP_DOG_STORAGE:false */

jQuery( window ).on('load', function() {
	"use strict";
	top_dog_gutenberg_first_init();
	// Create the observer to reinit visual editor after switch from code editor to visual editor
	var top_dog_observers = {};
	if (typeof window.MutationObserver !== 'undefined') {
		top_dog_create_observer('check_visual_editor', jQuery('.block-editor').eq(0), function(mutationsList) {
			var gutenberg_editor = jQuery('.edit-post-visual-editor:not(.top_dog_inited)').eq(0);
			if (gutenberg_editor.length > 0) top_dog_gutenberg_first_init();
		});
	}

	function top_dog_gutenberg_first_init() {
		var gutenberg_editor = jQuery( '.edit-post-visual-editor:not(.top_dog_inited)' ).eq( 0 );
		if ( 0 == gutenberg_editor.length ) {
			return;
		}
        jQuery( '.block-editor-writing-flow' ).addClass( 'scheme_' + TOP_DOG_STORAGE['color_scheme'] );
        gutenberg_editor.addClass( 'scheme_' + TOP_DOG_STORAGE['color_scheme'] );

		jQuery( '.editor-block-list__layout' ).addClass( 'scheme_' + TOP_DOG_STORAGE['color_scheme'] );
		gutenberg_editor.addClass( 'sidebar_position_' + TOP_DOG_STORAGE['sidebar_position'] );
		if ( TOP_DOG_STORAGE['expand_content'] > 0 ) {
			gutenberg_editor.addClass( 'expand_content' );
		}
		if ( TOP_DOG_STORAGE['sidebar_position'] == 'left' ) {
			gutenberg_editor.prepend( '<div class="editor-post-sidebar-holder"></div>' );
		} else if ( TOP_DOG_STORAGE['sidebar_position'] == 'right' ) {
			gutenberg_editor.append( '<div class="editor-post-sidebar-holder"></div>' );
		}

		gutenberg_editor.addClass('top_dog_inited');
	}

	// Create mutations observer
	function top_dog_create_observer(id, obj, callback) {
		if (typeof window.MutationObserver !== 'undefined' && obj.length > 0) {
			if (typeof top_dog_observers[id] == 'undefined') {
				top_dog_observers[id] = new MutationObserver(callback);
				top_dog_observers[id].observe(obj.get(0), { attributes: false, childList: true, subtree: true });
			}
			return true;
		}
		return false;
	}
} );
