<?php
/**
 * The Sidebar containing the main widget areas.
 *
 * @package WordPress
 * @subpackage TOP DOG
 * @since TOP DOG 1.0
 */

if ( top_dog_sidebar_present() ) {
	ob_start();
	$top_dog_sidebar_name = top_dog_get_theme_option( 'sidebar_widgets' );
	top_dog_storage_set( 'current_sidebar', 'sidebar' );
	if ( is_active_sidebar( $top_dog_sidebar_name ) ) {
		dynamic_sidebar( $top_dog_sidebar_name );
	}
	$top_dog_out = trim( ob_get_contents() );
	ob_end_clean();
	if ( ! empty( $top_dog_out ) ) {
		$top_dog_sidebar_position    = top_dog_get_theme_option( 'sidebar_position' );
		$top_dog_sidebar_position_ss = top_dog_get_theme_option( 'sidebar_position_ss' );
		?>
		<div class="sidebar widget_area
			<?php
			echo ' ' . esc_attr( $top_dog_sidebar_position );
			echo ' sidebar_' . esc_attr( $top_dog_sidebar_position_ss );

			if ( 'float' == $top_dog_sidebar_position_ss ) {
				echo ' sidebar_float';
			}
			$top_dog_sidebar_scheme = top_dog_get_theme_option( 'sidebar_scheme' );
			if ( ! empty( $top_dog_sidebar_scheme ) && ! top_dog_is_inherit( $top_dog_sidebar_scheme ) ) {
				echo ' scheme_' . esc_attr( $top_dog_sidebar_scheme );
			}
			?>
		" role="complementary">
			<?php
			// Skip link anchor to fast access to the sidebar from keyboard
			?>
			<a id="sidebar_skip_link_anchor" class="top_dog_skip_link_anchor" href="#"></a>
			<?php
			// Single posts banner before sidebar
			top_dog_show_post_banner( 'sidebar' );
			// Button to show/hide sidebar on mobile
			if ( in_array( $top_dog_sidebar_position_ss, array( 'above', 'float' ) ) ) {
				$top_dog_title = apply_filters( 'top_dog_filter_sidebar_control_title', 'float' == $top_dog_sidebar_position_ss ? esc_html__( 'Show Sidebar', 'top-dog' ) : '' );
				$top_dog_text  = apply_filters( 'top_dog_filter_sidebar_control_text', 'above' == $top_dog_sidebar_position_ss ? esc_html__( 'Show Sidebar', 'top-dog' ) : '' );
				?>
				<a href="#" class="sidebar_control" title="<?php echo esc_attr( $top_dog_title ); ?>"><?php echo esc_html( $top_dog_text ); ?></a>
				<?php
			}
			?>
			<div class="sidebar_inner">
				<?php
				do_action( 'top_dog_action_before_sidebar' );
				top_dog_show_layout( preg_replace( "/<\/aside>[\r\n\s]*<aside/", '</aside><aside', $top_dog_out ) );
				do_action( 'top_dog_action_after_sidebar' );
				?>
			</div><!-- /.sidebar_inner -->
		</div><!-- /.sidebar -->
		<div class="clearfix"></div>
		<?php
	}
}
