<?php
/**
 * The template 'Style 2' to displaying related posts
 *
 * @package WordPress
 * @subpackage TOP DOG
 * @since TOP DOG 1.0
 */

$top_dog_link        = get_permalink();
$top_dog_post_format = get_post_format();
$top_dog_post_format = empty( $top_dog_post_format ) ? 'standard' : str_replace( 'post-format-', '', $top_dog_post_format );
?><div id="post-<?php the_ID(); ?>" <?php post_class( 'related_item post_format_' . esc_attr( $top_dog_post_format ) ); ?>>
	<?php
	top_dog_show_post_featured(
		array(
			'thumb_size'    => apply_filters( 'top_dog_filter_related_thumb_size', top_dog_get_thumb_size( (int) top_dog_get_theme_option( 'related_posts' ) == 1 ? 'huge' : 'big' ) ),
            'class' => (in_array( get_post_type(), array( 'post', 'attachment' ) ) ? 'width_cat_top' : '')
            )
	);
    if ( in_array( get_post_type(), array( 'post', 'attachment' ) ) ) {
        top_dog_show_post_meta(
            apply_filters(
                'top_dog_filter_post_meta_args', array(
                'components' => 'categories',
                'seo' => false,
                'class' => 'cat_top'
            ), 'rel', 1
            )
        );
    }
	?>
	<div class="post_header entry-header">
        <h6 class="post_title entry-title"><a href="<?php echo esc_url( $top_dog_link ); ?>"><?php the_title(); ?></a></h6>
        <div class="post_content_inner">
            <?php
            $excerpt = get_the_excerpt();
            echo wp_trim_words( $excerpt, '14', '...' ) ;
            ?>
        </div>
		<?php
		if ( in_array( get_post_type(), array( 'post', 'attachment' ) ) ) {
            top_dog_show_post_meta(
                apply_filters(
                    'top_dog_filter_post_meta_args', array(
                    'components' => 'author,date',
                    'seo'        => false,
                ), 'rel', 1
                )
            );
		}
		?>
	</div>
</div>