<?php
/* WP Recipe Maker support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'top_dog_maker_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'top_dog_maker_theme_setup9', 9 );
	function top_dog_maker_theme_setup9() {
		if ( is_admin() ) {
			add_filter( 'top_dog_filter_tgmpa_required_plugins', 'top_dog_maker_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( ! function_exists( 'top_dog_maker_tgmpa_required_plugins' ) ) {
	
	function top_dog_maker_tgmpa_required_plugins( $list = array() ) {
		if ( top_dog_storage_isset( 'required_plugins', 'wp-recipe-maker' ) && top_dog_storage_get_array( 'required_plugins', 'wp-recipe-maker', 'install' ) !== false ) {
			$list[] = array(
				'name'     => top_dog_storage_get_array( 'required_plugins', 'wp-recipe-maker', 'title' ),
				'slug'     => 'wp-recipe-maker',
				'required' => false,
			);
		}
		return $list;
	}
}

// Section: "OTHER"
if(isset($GLOBALS['TOP_DOG_STORAGE']['required_plugins'])) {
	$GLOBALS['TOP_DOG_STORAGE']['required_plugins']['wp-recipe-maker'] = array(
		'title' => esc_html__('WP Recipe Maker', 'top-dog'),
		'description' => esc_html__("WP Recipe Maker is the easy recipe plugin that everyone can use.", 'top-dog'),
		'required' => false,
		'logo' => top_dog_get_file_url('plugins/wp-recipe-maker/logo.png'),
		'group' => esc_html__('Other', 'top-dog'),
	);
}


// Check if plugin installed and activated
if ( !function_exists( 'trx_addons_exists_wp_recipe_maker' ) ) {

    function trx_addons_exists_wp_recipe_maker() {
        return  defined('WPRM_VERSION');
    }
}

// One-click import support
if ( is_admin() ) {
    require_once TOP_DOG_THEME_DIR . TOP_DOG_SKIN_DIR . 'plugins/wp-recipe-maker/wp-recipe-maker-demo-importer.php';
}

// OCDI support
if ( is_admin() && trx_addons_exists_wp_recipe_maker() && trx_addons_exists_ocdi() ) {
    require_once TOP_DOG_THEME_DIR . TOP_DOG_SKIN_DIR . 'plugins/wp-recipe-maker/wp-recipe-maker-demo-ocdi.php';
}