<?php
/**
 * The Classic template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage TOP DOG
 * @since TOP DOG 1.0
 */

$top_dog_template_args = get_query_var( 'top_dog_template_args' );
if ( is_array( $top_dog_template_args ) ) {
	$top_dog_columns    = empty( $top_dog_template_args['columns'] ) ? 2 : max( 1, $top_dog_template_args['columns'] );
	$top_dog_blog_style = array( $top_dog_template_args['type'], $top_dog_columns );
} else {
	$top_dog_blog_style = explode( '_', top_dog_get_theme_option( 'blog_style' ) );
	$top_dog_columns    = empty( $top_dog_blog_style[1] ) ? 2 : max( 1, $top_dog_blog_style[1] );
}
$top_dog_expanded   = ! top_dog_sidebar_present() && top_dog_is_on( top_dog_get_theme_option( 'expand_content' ) );
$top_dog_components = top_dog_array_get_keys_by_value( top_dog_get_theme_option( 'meta_parts' ) );

$top_dog_post_format = get_post_format();
$top_dog_post_format = empty( $top_dog_post_format ) ? 'standard' : str_replace( 'post-format-', '', $top_dog_post_format );


$date_val = 'categories';
$pos = strpos($top_dog_components, $date_val);


?><div class="
<?php
if ( ! empty( $top_dog_template_args['slider'] ) ) {
	echo ' slider-slide swiper-slide';
} else {
	echo ( 'classic' == $top_dog_blog_style[0] ? 'column' : 'masonry_item masonry_item' ) . '-1_' . esc_attr( $top_dog_columns );
}
?>
"><article id="post-<?php the_ID(); ?>" data-post-id="<?php the_ID(); ?>"
	<?php
	post_class(
        (is_sticky() && ! is_paged() ? ' sticky ' : '')
		.'post_item post_format_' . esc_attr( $top_dog_post_format )
				. ' post_layout_classic post_layout_classic_' . esc_attr( $top_dog_columns )
				. ' post_layout_' . esc_attr( $top_dog_blog_style[0] )
				. ' post_layout_' . esc_attr( $top_dog_blog_style[0] ) . '_' . esc_attr( $top_dog_columns )
	);
	top_dog_add_blog_animation( $top_dog_template_args );
	?>
>
	<?php

	// Sticky label
	if ( is_sticky() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}

	// Featured image
	$top_dog_hover = ! empty( $top_dog_template_args['hover'] ) && ! top_dog_is_inherit( $top_dog_template_args['hover'] )
						? $top_dog_template_args['hover']
						: top_dog_get_theme_option( 'image_hover' );
	top_dog_show_post_featured(
		array(
			'thumb_size' => top_dog_get_thumb_size(
				'classic' == $top_dog_blog_style[0]
						? ( strpos( top_dog_get_theme_option( 'body_style' ), 'full' ) !== false
								? ( $top_dog_columns > 2 ? 'big' : 'huge' )
								: ( $top_dog_columns > 2
									? ( $top_dog_expanded ? 'med' : 'small' )
									: ( $top_dog_expanded ? 'big' : 'med' )
									)
							)
						: ( strpos( top_dog_get_theme_option( 'body_style' ), 'full' ) !== false
								? ( $top_dog_columns > 2 ? 'masonry-big' : 'full' )
								: ( $top_dog_columns <= 2 && $top_dog_expanded ? 'masonry-big' : 'masonry' )
							)
			),
			'hover'      => $top_dog_hover,
			'no_links'   => ! empty( $top_dog_template_args['no_links'] ),
            'class' => ($pos !== false ? 'width_cat_top' : '')
		)
	);

    if ( is_sticky() && ! is_paged() ) {
    ?>
        <div class="post_sticky_wrap">
    <?php
    }?>
    <div class="post_wrap_block">


     <?php
	if ( ! in_array( $top_dog_post_format, array( 'link', 'aside', 'status', 'quote' ) ) ) {


		?>
		<div class="post_header entry-header">
			<?php
            if ( $pos !== false ) {
                top_dog_show_post_meta(
                    apply_filters(
                        'top_dog_filter_post_meta_args', array(
                        'components' => 'categories',
                        'seo'        => false,
                        'class' => 'cat_top'
                    ), 'excerpt', 1
                    )
                );
            }
            $vowels = array(",categories", "categories,", "categories");
            $top_dog_components = str_replace($vowels, "", $top_dog_components);
			do_action( 'top_dog_action_before_post_title' );

			// Post title
			if ( empty( $top_dog_template_args['no_links'] ) ) {
				the_title( sprintf( '<h4 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h4>' );
			} else {
				the_title( '<h4 class="post_title entry-title">', '</h4>' );
			}

			do_action( 'top_dog_action_before_post_meta' );

			// Post meta
			if ( ! empty( $top_dog_components ) && ! in_array( $top_dog_hover, array( 'border', 'pull', 'slide', 'fade' ) ) ) {
				top_dog_show_post_meta(
					apply_filters(
						'top_dog_filter_post_meta_args', array(
							'components' => $top_dog_components,
							'seo'        => false,
						), $top_dog_blog_style[0], $top_dog_columns
					)
				);
			}

			do_action( 'top_dog_action_after_post_meta' );
			?>
		</div><!-- .entry-header -->
		<?php
	}
	?>

	<div class="post_content entry-content">
		<?php
		if ( empty( $top_dog_template_args['hide_excerpt'] ) && top_dog_get_theme_option( 'excerpt_length' ) > 0 ) {
			// Post content area
			top_dog_show_post_content( $top_dog_template_args, '<div class="post_content_inner">', '</div>' );
		}
		
		// Post meta
		if ( in_array( $top_dog_post_format, array( 'link', 'aside', 'status', 'quote' ) ) ) {
			if ( ! empty( $top_dog_components ) ) {
				top_dog_show_post_meta(
					apply_filters(
						'top_dog_filter_post_meta_args', array(
							'components' => $top_dog_components,
						), $top_dog_blog_style[0], $top_dog_columns
					)
				);
			}
		}
		
		// More button
		if ( empty( $top_dog_template_args['no_links'] ) && ! empty( $top_dog_template_args['more_text'] ) && ! in_array( $top_dog_post_format, array( 'link', 'aside', 'status', 'quote' ) ) ) {
			top_dog_show_post_more_link( $top_dog_template_args, '<p>', '</p>' );
		}
		?>
	</div><!-- .entry-content -->
    </div>
    <?php
    if ( is_sticky() && ! is_paged() ) {
    ?>
        </div>
    <?php
    }
    ?>

</article></div><?php
// Need opening PHP-tag above, because <div> is a inline-block element (used as column)!