<?php
/**
 * The template to display Admin notices
 *
 * @package WordPress
 * @subpackage TOP DOG
 * @since TOP DOG 1.0.1
 */

$top_dog_theme_obj = wp_get_theme();
?>
<div class="top_dog_admin_notice top_dog_welcome_notice update-nag">
	<?php
	// Theme image
	$top_dog_theme_img = top_dog_get_file_url( 'screenshot.jpg' );
	if ( '' != $top_dog_theme_img ) {
		?>
		<div class="top_dog_notice_image"><img src="<?php echo esc_url( $top_dog_theme_img ); ?>" alt="<?php esc_attr_e( 'Theme screenshot', 'top-dog' ); ?>"></div>
		<?php
	}

	// Title
	?>
	<h3 class="top_dog_notice_title">
		<?php
		echo esc_html(
			sprintf(
				// Translators: Add theme name and version to the 'Welcome' message
				__( 'Welcome to %1$s v.%2$s', 'top-dog' ),
				$top_dog_theme_obj->name . ( TOP_DOG_THEME_FREE ? ' ' . __( 'Free', 'top-dog' ) : '' ),
				$top_dog_theme_obj->version
			)
		);
		?>
	</h3>
	<?php

	// Description
	?>
	<div class="top_dog_notice_text">
		<p class="top_dog_notice_text_description">
			<?php
			echo str_replace( '. ', '.<br>', wp_kses_data( $top_dog_theme_obj->description ) );
			?>
		</p>
		<p class="top_dog_notice_text_info">
			<?php
			echo wp_kses_data( __( 'Attention! Plugin "ThemeREX Addons" is required! Please, install and activate it!', 'top-dog' ) );
			?>
		</p>
	</div>
	<?php

	// Buttons
	?>
	<div class="top_dog_notice_buttons">
		<?php
		// Link to the page 'About Theme'
		?>
		<a href="<?php echo esc_url( admin_url() . 'themes.php?page=top_dog_about' ); ?>" class="button button-primary"><i class="dashicons dashicons-nametag"></i> 
			<?php
			echo esc_html__( 'Install plugin "ThemeREX Addons"', 'top-dog' );
			?>
		</a>
		<?php		
		// Dismiss this notice
		?>
		<a href="#" class="top_dog_hide_notice"><i class="dashicons dashicons-dismiss"></i> <span class="top_dog_hide_notice_text"><?php esc_html_e( 'Dismiss', 'top-dog' ); ?></span></a>
	</div>
</div>
