<?php
/**
 * The template to display Admin notices
 *
 * @package WordPress
 * @subpackage TOP DOG
 * @since TOP DOG 1.0.1
 */

$top_dog_theme_obj = wp_get_theme();

?>
<div class="top_dog_admin_notice top_dog_rate_notice update-nag">
	<?php
	// Theme image
	$top_dog_theme_img = top_dog_get_file_url( 'screenshot.jpg' );
	if ( '' != $top_dog_theme_img ) {
		?>
		<div class="top_dog_notice_image"><img src="<?php echo esc_url( $top_dog_theme_img ); ?>" alt="<?php esc_attr_e( 'Theme screenshot', 'top-dog' ); ?>"></div>
		<?php
	}

	// Title
	?>
	<h3 class="top_dog_notice_title"><a href="<?php echo esc_url( top_dog_storage_get( 'theme_rate_url' ) ); ?>" target="_blank">
		<?php
		echo esc_html(
			sprintf(
				// Translators: Add theme name and version to the 'Welcome' message
				__( 'Rate our theme "%s", please', 'top-dog' ),
				$top_dog_theme_obj->name . ( TOP_DOG_THEME_FREE ? ' ' . __( 'Free', 'top-dog' ) : '' )
			)
		);
		?>
	</a></h3>
	<?php

	// Description
	?>
	<div class="top_dog_notice_text">
		<p><?php echo wp_kses_data( __( "We are glad you chose our WP theme for your website. You've done well customizing your website and we hope that you've enjoyed working with our theme.", 'top-dog' ) ); ?></p>
		<p><?php echo wp_kses_data( __( "It would be just awesome if you spend just a minute of your time to rate our theme or the customer service you've received from us.", 'top-dog' ) ); ?></p>
	</div>
	<?php

	// Buttons
	?>
	<div class="top_dog_notice_buttons">
		<?php
		// Link to the theme download page
		?>
		<a href="<?php echo esc_url( top_dog_storage_get( 'theme_rate_url' ) ); ?>" class="button button-primary" target="_blank"><i class="dashicons dashicons-star-filled"></i> 
			<?php
			// Translators: Add theme name
			echo esc_html( sprintf( __( 'Rate theme %s', 'top-dog' ), $top_dog_theme_obj->name ) );
			?>
		</a>
		<?php
		// Link to the theme support
		?>
		<a href="<?php echo esc_url( top_dog_storage_get( 'theme_support_url' ) ); ?>" class="button" target="_blank"><i class="dashicons dashicons-sos"></i> 
			<?php
			esc_html_e( 'Support', 'top-dog' );
			?>
		</a>
		<?php
		// Link to the theme documentation
		?>
		<a href="<?php echo esc_url( top_dog_storage_get( 'theme_doc_url' ) ); ?>" class="button" target="_blank"><i class="dashicons dashicons-book"></i> 
			<?php
			esc_html_e( 'Documentation', 'top-dog' );
			?>
		</a>
		<?php
		// Dismiss
		?>
		<a href="#" class="top_dog_hide_notice"><i class="dashicons dashicons-dismiss"></i> <span class="top_dog_hide_notice_text"><?php esc_html_e( 'Dismiss', 'top-dog' ); ?></span></a>
	</div>
</div>
