<?php
/**
 * The template to display the site logo in the footer
 *
 * @package WordPress
 * @subpackage TOP DOG
 * @since TOP DOG 1.0.10
 */

// Logo
if ( top_dog_is_on( top_dog_get_theme_option( 'logo_in_footer' ) ) ) {
	$top_dog_logo_image = top_dog_get_logo_image( 'footer' );
	$top_dog_logo_text  = get_bloginfo( 'name' );
	if ( ! empty( $top_dog_logo_image['logo'] ) || ! empty( $top_dog_logo_text ) ) {
		?>
		<div class="footer_logo_wrap">
			<div class="footer_logo_inner">
				<?php
				if ( ! empty( $top_dog_logo_image['logo'] ) ) {
					$top_dog_attr = top_dog_getimagesize( $top_dog_logo_image['logo'] );
					echo '<a href="' . esc_url( home_url( '/' ) ) . '">'
							. '<img src="' . esc_url( $top_dog_logo_image['logo'] ) . '"'
								. ( ! empty( $top_dog_logo_image['logo_retina'] ) ? ' srcset="' . esc_url( $top_dog_logo_image['logo_retina'] ) . ' 2x"' : '' )
								. ' class="logo_footer_image"'
								. ' alt="' . esc_attr__( 'Site logo', 'top-dog' ) . '"'
								. ( ! empty( $top_dog_attr[3] ) ? ' ' . wp_kses_data( $top_dog_attr[3] ) : '' )
							. '>'
						. '</a>';
				} elseif ( ! empty( $top_dog_logo_text ) ) {
					echo '<h1 class="logo_footer_text">'
							. '<a href="' . esc_url( home_url( '/' ) ) . '">'
								. esc_html( $top_dog_logo_text )
							. '</a>'
						. '</h1>';
				}
				?>
			</div>
		</div>
		<?php
	}
}
