<?php
/**
 * The template to display the widgets area in the footer
 *
 * @package WordPress
 * @subpackage TOP DOG
 * @since TOP DOG 1.0.10
 */

// Footer sidebar
$top_dog_footer_name    = top_dog_get_theme_option( 'footer_widgets' );
$top_dog_footer_present = ! top_dog_is_off( $top_dog_footer_name ) && is_active_sidebar( $top_dog_footer_name );
if ( $top_dog_footer_present ) {
	top_dog_storage_set( 'current_sidebar', 'footer' );
	$top_dog_footer_wide = top_dog_get_theme_option( 'footer_wide' );
	ob_start();
	if ( is_active_sidebar( $top_dog_footer_name ) ) {
		dynamic_sidebar( $top_dog_footer_name );
	}
	$top_dog_out = trim( ob_get_contents() );
	ob_end_clean();
	if ( ! empty( $top_dog_out ) ) {
		$top_dog_out          = preg_replace( "/<\\/aside>[\r\n\s]*<aside/", '</aside><aside', $top_dog_out );
		$top_dog_need_columns = true;   //or check: strpos($top_dog_out, 'columns_wrap')===false;
		if ( $top_dog_need_columns ) {
			$top_dog_columns = max( 0, (int) top_dog_get_theme_option( 'footer_columns' ) );			
			if ( 0 == $top_dog_columns ) {
				$top_dog_columns = min( 4, max( 1, top_dog_tags_count( $top_dog_out, 'aside' ) ) );
			}
			if ( $top_dog_columns > 1 ) {
				$top_dog_out = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $top_dog_columns ) . ' widget', $top_dog_out );
			} else {
				$top_dog_need_columns = false;
			}
		}
		?>
		<div class="footer_widgets_wrap widget_area<?php echo ! empty( $top_dog_footer_wide ) ? ' footer_fullwidth' : ''; ?> sc_layouts_row sc_layouts_row_type_normal">
			<div class="footer_widgets_inner widget_area_inner">
				<?php
				if ( ! $top_dog_footer_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $top_dog_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'top_dog_action_before_sidebar' );
				top_dog_show_layout( $top_dog_out );
				do_action( 'top_dog_action_after_sidebar' );
				if ( $top_dog_need_columns ) {
					?>
					</div><!-- /.columns_wrap -->
					<?php
				}
				if ( ! $top_dog_footer_wide ) {
					?>
					</div><!-- /.content_wrap -->
					<?php
				}
				?>
			</div><!-- /.footer_widgets_inner -->
		</div><!-- /.footer_widgets_wrap -->
		<?php
	}
}
