<?php
/**
 * The template to display custom header from the ThemeREX Addons Layouts
 *
 * @package WordPress
 * @subpackage TOP DOG
 * @since TOP DOG 1.0.06
 */

$top_dog_header_css   = '';
$top_dog_header_image = get_header_image();
$top_dog_header_video = top_dog_get_header_video();
if ( ! empty( $top_dog_header_image ) && top_dog_trx_addons_featured_image_override( is_singular() || top_dog_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$top_dog_header_image = top_dog_get_current_mode_image( $top_dog_header_image );
}

$top_dog_header_id = top_dog_get_custom_header_id();
$top_dog_header_meta = get_post_meta( $top_dog_header_id, 'trx_addons_options', true );
if ( ! empty( $top_dog_header_meta['margin'] ) ) {
	top_dog_add_inline_css( sprintf( '.page_content_wrap{padding-top:%s}', esc_attr( top_dog_prepare_css_value( $top_dog_header_meta['margin'] ) ) ) );
}

?><header class="top_panel top_panel_custom top_panel_custom_<?php echo esc_attr( $top_dog_header_id ); ?> top_panel_custom_<?php echo esc_attr( sanitize_title( get_the_title( $top_dog_header_id ) ) ); ?>
				<?php
				echo ! empty( $top_dog_header_image ) || ! empty( $top_dog_header_video )
					? ' with_bg_image'
					: ' without_bg_image';
				if ( '' != $top_dog_header_video ) {
					echo ' with_bg_video';
				}
				if ( '' != $top_dog_header_image ) {
					echo ' ' . esc_attr( top_dog_add_inline_css_class( 'background-image: url(' . esc_url( $top_dog_header_image ) . ');' ) );
				}
				if ( is_single() && has_post_thumbnail() ) {
					echo ' with_featured_image';
				}
				if ( top_dog_is_on( top_dog_get_theme_option( 'header_fullheight' ) ) ) {
					echo ' header_fullheight top-dog-full-height';
				}
				$top_dog_header_scheme = top_dog_get_theme_option( 'header_scheme' );
				if ( ! empty( $top_dog_header_scheme ) && ! top_dog_is_inherit( $top_dog_header_scheme  ) ) {
					echo ' scheme_' . esc_attr( $top_dog_header_scheme );
				}
				?>
">
	<?php

	// Background video
	if ( ! empty( $top_dog_header_video ) ) {
		get_template_part( apply_filters( 'top_dog_filter_get_template_part', 'templates/header-video' ) );
	}

	// Custom header's layout
	do_action( 'top_dog_action_show_layout', $top_dog_header_id );

	// Header widgets area
	get_template_part( apply_filters( 'top_dog_filter_get_template_part', 'templates/header-widgets' ) );

	?>
</header>
