<?php
/**
 * The template to display default site header
 *
 * @package WordPress
 * @subpackage TOP DOG
 * @since TOP DOG 1.0
 */

$top_dog_header_css   = '';
$top_dog_header_image = get_header_image();
$top_dog_header_video = top_dog_get_header_video();
if ( ! empty( $top_dog_header_image ) && top_dog_trx_addons_featured_image_override( is_singular() || top_dog_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$top_dog_header_image = top_dog_get_current_mode_image( $top_dog_header_image );
}

?><header class="top_panel top_panel_default
	<?php
	echo ! empty( $top_dog_header_image ) || ! empty( $top_dog_header_video ) ? ' with_bg_image' : ' without_bg_image';
	if ( '' != $top_dog_header_video ) {
		echo ' with_bg_video';
	}
	if ( '' != $top_dog_header_image ) {
		echo ' ' . esc_attr( top_dog_add_inline_css_class( 'background-image: url(' . esc_url( $top_dog_header_image ) . ');' ) );
	}
	if ( is_single() && has_post_thumbnail() ) {
		echo ' with_featured_image';
	}
	if ( top_dog_is_on( top_dog_get_theme_option( 'header_fullheight' ) ) ) {
		echo ' header_fullheight top-dog-full-height';
	}
	$top_dog_header_scheme = top_dog_get_theme_option( 'header_scheme' );
	if ( ! empty( $top_dog_header_scheme ) && ! top_dog_is_inherit( $top_dog_header_scheme  ) ) {
		echo ' scheme_' . esc_attr( $top_dog_header_scheme );
	}
	?>
">
	<?php

	// Background video
	if ( ! empty( $top_dog_header_video ) ) {
		get_template_part( apply_filters( 'top_dog_filter_get_template_part', 'templates/header-video' ) );
	}

	// Main menu
	if ( top_dog_get_theme_option( 'menu_style' ) == 'top' ) {
		get_template_part( apply_filters( 'top_dog_filter_get_template_part', 'templates/header-navi' ) );
	}

	// Mobile header
	if ( top_dog_is_on( top_dog_get_theme_option( 'header_mobile_enabled' ) ) ) {
		get_template_part( apply_filters( 'top_dog_filter_get_template_part', 'templates/header-mobile' ) );
	}

		// Page title and breadcrumbs area
	if ( ! is_single() ) {
		get_template_part( apply_filters( 'top_dog_filter_get_template_part', 'templates/header-title' ) );
	}

	// Header widgets area
	get_template_part( apply_filters( 'top_dog_filter_get_template_part', 'templates/header-widgets' ) );
	?>
</header>
