<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package WordPress
 * @subpackage TOP DOG
 * @since TOP DOG 1.0
 */

$top_dog_args = get_query_var( 'top_dog_logo_args' );

// Site logo
$top_dog_logo_type   = isset( $top_dog_args['type'] ) ? $top_dog_args['type'] : '';
$top_dog_logo_image  = top_dog_get_logo_image( $top_dog_logo_type );
$top_dog_logo_text   = top_dog_is_on( top_dog_get_theme_option( 'logo_text' ) ) ? get_bloginfo( 'name' ) : '';
$top_dog_logo_slogan = get_bloginfo( 'description', 'display' );
if ( ! empty( $top_dog_logo_image['logo'] ) || ! empty( $top_dog_logo_text ) ) {
	?><a class="sc_layouts_logo" href="<?php echo esc_url( home_url( '/' ) ); ?>">
		<?php
		if ( ! empty( $top_dog_logo_image['logo'] ) ) {
			if ( empty( $top_dog_logo_type ) && function_exists( 'the_custom_logo' ) && is_numeric( $top_dog_logo_image['logo'] ) && $top_dog_logo_image['logo'] > 0 ) {
				the_custom_logo();
			} else {
				$top_dog_attr = top_dog_getimagesize( $top_dog_logo_image['logo'] );
				echo '<img src="' . esc_url( $top_dog_logo_image['logo'] ) . '"'
						. ( ! empty( $top_dog_logo_image['logo_retina'] ) ? ' srcset="' . esc_url( $top_dog_logo_image['logo_retina'] ) . ' 2x"' : '' )
						. ' alt="' . esc_attr( $top_dog_logo_text ) . '"'
						. ( ! empty( $top_dog_attr[3] ) ? ' ' . wp_kses_data( $top_dog_attr[3] ) : '' )
						. '>';
			}
		} else {
			top_dog_show_layout( top_dog_prepare_macros( $top_dog_logo_text ), '<span class="logo_text">', '</span>' );
			top_dog_show_layout( top_dog_prepare_macros( $top_dog_logo_slogan ), '<span class="logo_slogan">', '</span>' );
		}
		?>
	</a>
	<?php
}
