<?php
/**
 * The template to display the page title and breadcrumbs
 *
 * @package WordPress
 * @subpackage TOP DOG
 * @since TOP DOG 1.0
 */

// Page (category, tag, archive, author) title

if ( top_dog_need_page_title() ) {
	top_dog_sc_layouts_showed( 'title', true );
	top_dog_sc_layouts_showed( 'postmeta', true );
	?>
	<div class="top_panel_title sc_layouts_row sc_layouts_row_type_normal sc_layouts_row_delimiter">
		<div class="content_wrap">
			<div class="sc_layouts_column sc_layouts_column_align_center">
				<div class="sc_layouts_item">
					<div class="sc_layouts_title sc_align_center">
						<?php
						// Post meta on the single post
						if ( is_single() ) {
							?>
							<div class="sc_layouts_title_meta">
							<?php
								top_dog_show_post_meta(
									apply_filters(
										'top_dog_filter_post_meta_args', array(
											'components' => top_dog_array_get_keys_by_value( top_dog_get_theme_option( 'meta_parts' ) ),
											'counters'   => top_dog_array_get_keys_by_value( top_dog_get_theme_option( 'counters' ) ),
											'seo'        => top_dog_is_on( top_dog_get_theme_option( 'seo_snippets' ) ),
										), 'header', 1
									)
								);
							?>
							</div>
							<?php
						}

						// Blog/Post title
						?>
						<div class="sc_layouts_title_title">
							<?php
							$top_dog_blog_title           = top_dog_get_blog_title();
							$top_dog_blog_title_text      = '';
							$top_dog_blog_title_class     = '';
							$top_dog_blog_title_link      = '';
							$top_dog_blog_title_link_text = '';
							if ( is_array( $top_dog_blog_title ) ) {
								$top_dog_blog_title_text      = $top_dog_blog_title['text'];
								$top_dog_blog_title_class     = ! empty( $top_dog_blog_title['class'] ) ? ' ' . $top_dog_blog_title['class'] : '';
								$top_dog_blog_title_link      = ! empty( $top_dog_blog_title['link'] ) ? $top_dog_blog_title['link'] : '';
								$top_dog_blog_title_link_text = ! empty( $top_dog_blog_title['link_text'] ) ? $top_dog_blog_title['link_text'] : '';
							} else {
								$top_dog_blog_title_text = $top_dog_blog_title;
							}
							?>
							<h1 itemprop="headline" class="sc_layouts_title_caption<?php echo esc_attr( $top_dog_blog_title_class ); ?>">
								<?php
								$top_dog_top_icon = top_dog_get_term_image_small();
								if ( ! empty( $top_dog_top_icon ) ) {
									$top_dog_attr = top_dog_getimagesize( $top_dog_top_icon );
									?>
									<img src="<?php echo esc_url( $top_dog_top_icon ); ?>" alt="<?php esc_attr_e( 'Site icon', 'top-dog' ); ?>"
										<?php
										if ( ! empty( $top_dog_attr[3] ) ) {
											top_dog_show_layout( $top_dog_attr[3] );
										}
										?>
									>
									<?php
								}
								echo wp_kses_data( $top_dog_blog_title_text );
								?>
							</h1>
							<?php
							if ( ! empty( $top_dog_blog_title_link ) && ! empty( $top_dog_blog_title_link_text ) ) {
								?>
								<a href="<?php echo esc_url( $top_dog_blog_title_link ); ?>" class="theme_button theme_button_small sc_layouts_title_link"><?php echo esc_html( $top_dog_blog_title_link_text ); ?></a>
								<?php
							}

							// Category/Tag description
							if ( is_category() || is_tag() || is_tax() ) {
								the_archive_description( '<div class="sc_layouts_title_description">', '</div>' );
							}

							?>
						</div>
						<?php
                        // Breadcrumbs
                        ob_start();
                        do_action( 'top_dog_action_breadcrumbs' );
                        $top_dog_breadcrumbs = ob_get_contents();
                        ob_end_clean();
                        top_dog_show_layout( $top_dog_breadcrumbs, '<div class="sc_layouts_title_breadcrumbs">', '</div>' );
                        ?>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php
}
