<?php
/**
 * The template to display the widgets area in the header
 *
 * @package WordPress
 * @subpackage TOP DOG
 * @since TOP DOG 1.0
 */

// Header sidebar
$top_dog_header_name    = top_dog_get_theme_option( 'header_widgets' );
$top_dog_header_present = ! top_dog_is_off( $top_dog_header_name ) && is_active_sidebar( $top_dog_header_name );
if ( $top_dog_header_present ) {
	top_dog_storage_set( 'current_sidebar', 'header' );
	$top_dog_header_wide = top_dog_get_theme_option( 'header_wide' );
	ob_start();
	if ( is_active_sidebar( $top_dog_header_name ) ) {
		dynamic_sidebar( $top_dog_header_name );
	}
	$top_dog_widgets_output = ob_get_contents();
	ob_end_clean();
	if ( ! empty( $top_dog_widgets_output ) ) {
		$top_dog_widgets_output = preg_replace( "/<\/aside>[\r\n\s]*<aside/", '</aside><aside', $top_dog_widgets_output );
		$top_dog_need_columns   = strpos( $top_dog_widgets_output, 'columns_wrap' ) === false;
		if ( $top_dog_need_columns ) {
			$top_dog_columns = max( 0, (int) top_dog_get_theme_option( 'header_columns' ) );
			if ( 0 == $top_dog_columns ) {
				$top_dog_columns = min( 6, max( 1, top_dog_tags_count( $top_dog_widgets_output, 'aside' ) ) );
			}
			if ( $top_dog_columns > 1 ) {
				$top_dog_widgets_output = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $top_dog_columns ) . ' widget', $top_dog_widgets_output );
			} else {
				$top_dog_need_columns = false;
			}
		}
		?>
		<div class="header_widgets_wrap widget_area<?php echo ! empty( $top_dog_header_wide ) ? ' header_fullwidth' : ' header_boxed'; ?>">
			<div class="header_widgets_inner widget_area_inner">
				<?php
				if ( ! $top_dog_header_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $top_dog_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'top_dog_action_before_sidebar' );
				top_dog_show_layout( $top_dog_widgets_output );
				do_action( 'top_dog_action_after_sidebar' );
				if ( $top_dog_need_columns ) {
					?>
					</div>	<!-- /.columns_wrap -->
					<?php
				}
				if ( ! $top_dog_header_wide ) {
					?>
					</div>	<!-- /.content_wrap -->
					<?php
				}
				?>
			</div>	<!-- /.header_widgets_inner -->
		</div>	<!-- /.header_widgets_wrap -->
		<?php
	}
}
